Opened 9 years ago

Closed 9 years ago

#8228 closed defect (invalid)

play back segfaults on newly upgraded .23 debian box (libQtCore.so.4.5.3 problem?)

Reported by: st2000 Owned by: Isaac Richards
Priority: blocker Milestone: 0.23
Component: MythTV - General Version: 0.23rc1
Severity: medium Keywords: mythfrontend version 0.23 libQtCore
Cc: Ticket locked: no

Description

Hi...

Play back segfaults on newly upgraded .23 debian box. Recordings, videos and live TV all suffer. Occasionally play back is successful and does not stop. But, perhaps 8 out of 10 times, play back segfaults. Found this in system log:

mythfrontend[5028]: segfault at 1 ip b5fc11d9 sp affc3f50 error 4 in libQtCore.so.4.5.3[b5f70000+234000]

Attachments (1)

gdb.txt (43.4 KB) - added by steve.berlo@… 9 years ago.

Download all attachments as: .zip

Change History (9)

comment:1 Changed 9 years ago by sphery

Status: newinfoneeded_new

Please provide a proper backtrace, as described at http://www.mythtv.org/wiki/Debugging and http://www.mythtv.org/docs/mythtv-HOWTO-22.html#ss22.2 .

Changed 9 years ago by steve.berlo@…

Attachment: gdb.txt added

comment:2 Changed 9 years ago by anonymous

I am experiencing the same issue and have attached a backtrace. I am running Fedoara 12 x64 (my 32 bit F12 system does the same thing, the trace is from the x64 system) and I experience the problem every time I attempt playback.

comment:3 Changed 9 years ago by robertm

Refs #8241.

comment:4 Changed 9 years ago by sphery

Status: infoneeded_newnew
Version: 0.23rc1

comment:5 Changed 9 years ago by robertm

Milestone: unknown0.23
Priority: minorblocker

Needs fixing to release.

comment:6 Changed 9 years ago by robertm

Status: newinfoneeded_new

Mailing list traffic implies Steve's issue is broken packages, need another backtrace (ideally from the original affected Debian system)

comment:7 Changed 9 years ago by anonymous

I had the exact same issue when upgrading my debian system. Fixed the problem by removing all traces of the old mythtv libs and shared files and recompiling and installing the new 0.23rc again.

Hope this helps you.

comment:8 Changed 9 years ago by robertm

Resolution: invalid
Status: infoneeded_newclosed

OK, the more I look at this, think about it, and read the supporting conversation on the mailing list, the more they appear to be sloppy build errors. If it's proven otherwise, we'll re-open, but for now I'm calling this invalid.

If anyone feels they're being affected by this, you need to do the following:

Revert to unchanged source, make distclean Remove ALL traces of the myth libraries from your install dir, meaning: rf -f /usr/lib/libmyth* (or /usr/local/lib/libmyth*) build again from scratch

If you still experience an error like this, please open a discussion on the dev list, we can go through some troubleshooting, and reopen this ticket if warranted.

Note: See TracTickets for help on using tickets.